<?php
/* please read.
//
// salemaker date auto renewal - currently,  only US federal holiday days will be skipped automatically. you can add more in $skipHoidaydays array below.
//
// install it by upload salemakercron.php  to your web root directory and add cron schedule to your hosting panel.
//
// cron daily must be midnight(after 12am):   5	0	*	*	*  wget  https://www.your_domain_name.com/salemakercron.php
//
// salemaker with no ending date or with end date 0001-01-01 is skipped 
//
//
// @2024 salemakercron.php version 1.0 from justinxia.com
//
*/

//setting days on each renewal: 
$totalrenewdays = 30;
//put your holiday names to skip renewal
$skipHoidaydays = array(
	"New Year",
	"Martin",
	"Memorial",
	"Independence",
	"Labor",
	"Columbus",
	"President",
	"Veteran",
	"Thanksgiving",
	"Christmas",
	"Valentine"
	);

$directory = 'includes/';
require_once($directory.'configure.php');

$db = mysqli_connect(DB_SERVER, DB_SERVER_USERNAME, DB_SERVER_PASSWORD);
if (!$db) {
    die('Could not connect: ' . mysqli_connect_error());
}
$db_selected = mysqli_select_db($db,DB_DATABASE );
if (!$db_selected) {
    die ('Can\'t use '.DB_DATABASE.' : ' . mysqli_connect_error());
}

//add total number of days to current sales maker promotions
$newdate = date('Y-m-d', strtotime("+$totalrenewdays days"));
$current_datetime = date('Y-m-d'); //today
   
$sales_categories_query = "SELECT * FROM `salemaker_sales` WHERE `sale_date_end` >= '".$current_datetime."' AND `sale_status`='1'";
$sales_categories = mysqli_query($db,$sales_categories_query);


if ($sales_categories != null) {
       while ($row = mysqli_fetch_assoc($sales_categories)) {
            $renewal="";
           if ($row['sale_date_end']=='0001-01-01' ||  $row['sale_date_end'] != $current_datetime){
              //skip
               echo "no salemaker renewal.";
            }
           else {
                  $promo_name=$row['sale_name'];
              	  // find holiday names match and skip renewals
				foreach ($skipHoidaydays as $excludenames) {
					if (stripos($promo_name, $excludenames) !== FALSE) { // ignore case
						$renewal="skip";
						echo "holiday found,  skip this renewal."; 
						break;
					}
				}
				if($renewal!="skip"){
					$sales_categories_queryupdate = "UPDATE `salemaker_sales` SET `sale_date_end` = '".$newdate."' WHERE `sale_id` = '".$row['sale_id']."' AND `sale_date_end` = '".$current_datetime."' AND `sale_status`='1'";
					$sales_categoriesupdate = mysqli_query($db,$sales_categories_queryupdate);
					echo "updated, sale end date renewed!";
				 }
                $renewal="";
           }//end else
        //$sales_categories->MoveNext(); 
    }//end while loop
} 
?>